PostgreSQL 9.2.4 Documentation
Prev | Up |  | Next

# SPI_execp

## Name

SPI_execp -- execute a statement in read/write mode

## Synopsis

    int SPI_execp(SPIPlanPtr plan, Datum * values, const char * nulls, long count)

## Description

`SPI_execp` is the same as `SPI_execute_plan`, with the latter's `read_only` parameter always taken as `false`.

## Arguments

`SPIPlanPtr `plan``

  prepared statement (returned by `SPI_prepare`)

`Datum * `values``

  An array of actual parameter values. Must have same length as the statement's number of arguments.

`const char * `nulls``

  An array describing which parameters are null. Must have same length as the statement's number of arguments. `n` indicates a null value (entry in `values` will be ignored); a space indicates a nonnull value (entry in `values` is valid).

  If `nulls` is `NULL` then `SPI_execp` assumes that no parameters are null.

`long `count``

  maximum number of rows to return, or `0` for no limit

## Return Value

See `SPI_execute_plan`.

`SPI_processed` and `SPI_tuptable` are set as in `SPI_execute` if successful.

Prev | Home | Next
SPI_execute_plan_with_paramlist | Up | SPI_cursor_open